
set( larwirecell_VERSION 09.02.03 )
set( larwirecell_UPS_VERSION v09_02_03 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( larcore  )
find_ups_product( larcoreobj  )
find_ups_product( canvas  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( cppunit  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_root(  )
find_ups_product( larcorealg  )
find_ups_product( art  )
find_ups_product( art_root_io  )
find_ups_product( canvas_root_io  )
find_ups_product( lardata  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata  )
find_ups_product( lardataobj  )
find_ups_product( lardataalg  )
find_ups_product( postgresql  )
find_ups_product( fftw  )
  cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
find_ups_product( larevt  )
find_ups_product( libwda  )
find_ups_product( jsoncpp  )
find_ups_product( jsonnet  )
find_ups_product( eigen  )
find_ups_product( spdlog  )
find_ups_product( wirecell  )
  cet_find_library( WIRECELL_SIGPROC_LIB NAMES WireCellSigProc PATHS ENV WIRECELL_LIB NO_DEFAULT_PATH )
  cet_find_library( WIRECELL_GEN_LIB NAMES WireCellGen PATHS ENV WIRECELL_LIB NO_DEFAULT_PATH )
  cet_find_library( WIRECELL_IFACE_LIB NAMES WireCellIface PATHS ENV WIRECELL_LIB NO_DEFAULT_PATH )
  cet_find_library( WIRECELL_UTIL_LIB NAMES WireCellUtil PATHS ENV WIRECELL_LIB NO_DEFAULT_PATH )
  cet_find_library( WIRECELL_APPS_LIB NAMES WireCellApps PATHS ENV WIRECELL_LIB NO_DEFAULT_PATH )
  cet_find_library( JSONCPP NAMES jsoncpp PATHS ENV JSONCPP_LIB NO_DEFAULT_PATH )
set(WIRECELLLARSOFT "$ENV{LARWIRECELL_LIB}/libWireCellLarsoft.so")
set(LARWIRECELL_TOOLS_WCLS_TOOL "$ENV{LARWIRECELL_LIB}/liblarwirecell_Tools_WCLS_tool.so")
set(LARWIRECELL_MODULES_BLIPMAKER_MODULE "$ENV{LARWIRECELL_LIB}/liblarwirecell_Modules_BlipMaker_module.so")
set(LARWIRECELL_MODULES_EVENTBUTCHER_MODULE "$ENV{LARWIRECELL_LIB}/liblarwirecell_Modules_EventButcher_module.so")
set(LARWIRECELL_MODULES_WIRECELLTOOLKIT_MODULE "$ENV{LARWIRECELL_LIB}/liblarwirecell_Modules_WireCellToolkit_module.so")
set(LARWIRECELL_MODULES_GEOMETRY_CTREEGEOMETRY_MODULE "$ENV{LARWIRECELL_LIB}/liblarwirecell_Modules_Geometry_CTreeGeometry_module.so")
set(LARWIRECELL_LARINTERFACE_WIRECELLNOISEFILTER_MODULE "$ENV{LARWIRECELL_LIB}/liblarwirecell_LArInterface_WireCellNoiseFilter_module.so")
  include_directories ( "$ENV{LARWIRECELL_INC}" )

check_required_components(larwirecell)

